<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionServicesCalloutBlockCreateServicesCalloutBlockFields extends Migration
{

    /**
     * The addon fields.
     *
     * @var array
     */
    protected $fields = [
        'title'             => [
            'en'   => [
                'name' => 'Title',
            ],
            'type' => 'anomaly.field_type.text',
        ],
        'image'             => [
            'en'   => [
                'name' => 'Image',
            ],
            'type' => 'anomaly.field_type.image',
        ],
        'icon'              => [
            'en'   => [
                'name' => 'Icon',
            ],
            'type' => 'anomaly.field_type.file',
        ],
        'copy'              => [
            'en'   => [
                'name' => 'Copy',
            ],
            'type'   => 'anomaly.field_type.wysiwyg',
            'config' => [
                'configuration' => 'basic',
            ],
        ],
        'url'               => [
            'en'   => [
                'name' => 'URL',
            ],
            'type' => 'anomaly.field_type.url',
        ],
        'services_callouts' => [
            'en'   => [
                'name' => 'Services Callouts',
            ],
            'type'   => 'anomaly.field_type.repeater',
            'config' => [
                'add_row' => 'Add Callout',
                'related' => 'services_callout_block.services_callouts',
            ],
        ],
    ];

}
