<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionServicesCalloutBlockCreateServicesCalloutsStream extends Migration
{

    /**
     * The stream definition.
     *
     * @var array
     */
    protected $stream = [
        'slug' => 'services_callouts',
    ];

    /**
     * The stream assignments.
     *
     * @var array
     */
    protected $assignments = [
        'image' => [
            'required' => true,
            'config'   => [
                'aspect_ratio' => '380:280',
            ],
        ],
        'icon',
        'title' => [
            'required' => true,
        ],
        'copy'  => [
            'required' => true,
        ],
        'url',
    ];

}
