<?php namespace Terrostar\ServicesCalloutBlockExtension;

use Anomaly\Streams\Platform\Addon\AddonServiceProvider;
use Anomaly\Streams\Platform\Model\ServicesCalloutBlock\ServicesCalloutBlockBlocksEntryModel;
use Anomaly\Streams\Platform\Model\ServicesCalloutBlock\ServicesCalloutBlockServicesCalloutsEntryModel;
use Terrostar\ServicesCalloutBlockExtension\Block\BlockModel;
use Terrostar\ServicesCalloutBlockExtension\ServicesCallout\ServicesCalloutModel;

class ServicesCalloutBlockExtensionServiceProvider extends AddonServiceProvider
{

    /**
     * The addon class bindings.
     *
     * @type array|null
     */
    protected $bindings = [
        ServicesCalloutBlockBlocksEntryModel::class           => BlockModel::class,
        ServicesCalloutBlockServicesCalloutsEntryModel::class => ServicesCalloutModel::class,
    ];

}
